"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _request = _interopRequireDefault(require("request"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function sendRequest(method, url, body) {
  return new Promise((resolve, reject) => {
    (0, _request.default)({
      url,
      method,
      json: true,
      body
    }, (err, response, responseBody) => {
      if (err) {
        reject(err);
        return;
      }

      resolve(responseBody);
    });
  });
}

var _default = {
  GET: (url, body) => sendRequest('GET', url, body),
  POST: (url, body) => sendRequest('POST', url, body),
  DELETE: (url, body) => sendRequest('DELETE', url, body)
};
exports.default = _default;